#include<iostream>

using namespace std;

int main(){
    int c[10]={0,1,1,2,2,1,2,2,3,3};
    long long v;

    cin>>v;

    long long s=0;
    while(v>0){
        s+=c[v%10];
        v/=10;
    }

    cout<<s;
    return 0;
}